import type { NextConfig } from 'next'
import path from 'path'

const nextConfig: NextConfig = {
  /* config options here */
  sassOptions: {
    includePaths: [path.join(__dirname, './src/styles')],
  },
  async rewrites() {
    return [
      {
        source: '/api/user/login',
        destination: `${process.env.NEXT_PUBLIC_QSP_API_URL}/api/user/login`,
      },
      // {
      //   source: '/api/:path*',
      //   destination: `${process.env.NEXT_PUBLIC_API_URL}/api/:path*`,
      // },
    ]
  },
}

export default nextConfig
